language: php

matrix:
  include:
    - dist: bionic
      php: 7.3
    - dist: bionic
      php: 7.4
    - dist: bionic
      php: 8.0

cache:
  directories:
    - $HOME/.composer/cache

before_install:
  - phpenv config-rm xdebug.ini || true

install:
  - travis_retry composer install

script:
  - vendor/bin/phpunit
